if [ $PROD = "true" ]
then
    echo "test to prod copy not supported"
    exit 1
fi

path=$1;

directory_path="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

source "$directory_path/variables/path_variables.sh" "$path"
source "$directory_path/variables/ssh_variables.sh"

source="$source_host:$source_path"
destination="$destination_host:$destination_path"
destination_host_ip="$(grep 'HostName' ${destination_ssh_config} | awk '{print $2}')"
destination_username="$(grep 'User' ${destination_ssh_config} | awk '{print $2}')"

echo "PROD: $PROD"

if ssh -F $source_ssh_config $source_host "[ -d $source_path ]"
then
    copy_destination_path=$(dirname "$destination_path")
    echo "copying $path from $source_host to $destination_host"
    ssh -A -F $source_ssh_config $source_host rsync -avP $source_path $destination_username@$destination_host_ip:$copy_destination_path
else
    echo "$path does not exist in $source_host, creating empty directory in $destination_host"
    bash "$directory_path/create_empty_directory.sh" "$path"
fi
